<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template match="/">
		<!-- <xsl:apply-templates select="/root/*" />  -->
		<HTML>
			

<style>
				.Prefix {font-family: Tahoma; font-size: 12pt; font-weight: bold; color: white}
				.Title {font-family: Tahoma; font-size: 12pt; background-color:snow; color: black}
				.TypeColumn {font-family: Tahoma; font-size: 10pt; background-color: snow; color: black}
				.MessageColumn {font-family: Courier; font-size: 10pt; background-color: snow; color: black}
				.PidColumn {font-family: Courier; font-size: 10pt; background-color: snow; color: black}
				.TidColumn {font-family: Courier; font-size: 10pt; background-color: snow; color: black}
				.SourceColumn {font-family: Courier; font-size: 10pt; background-color: snow; color: black}
				.DateTimeColumn {font-family: Courier; font-size: 10pt; background-color: snow; color: black}
				.RestrictionColumn {font-family: Tahoma; font-size: 12pt; font-weight: bold; color: white}
			</style>
			<HEAD>
				<TITLE/>
			</HEAD>
			<head>
				<title>Migration log file</title>
			</head>
			<BODY bgproperties="fixed" bgcolor="#6699CC">
				<!-- Part 1 logfileprefix
  -->
				<xsl:for-each select="//MigrationRestrictions">
					<H3 class="RestrictionColumn">
						<xsl:value-of select="@restrictionsTitleText" />
					</H3>
				</xsl:for-each>
				<xsl:for-each select="//Header">
					<H1 class="RestrictionColumn">
						<xsl:value-of select="@text" />
					</H1>
				</xsl:for-each>
				<table border="0" width="100%">
					<xsl:for-each select="//Entry">
						<tr class="RestrictionColumn">
							<th width="10%"></th>
						</tr>
						<td class="RestrictionColumn" width="10%" align="right">-</td>
						<td class="RestrictionColumn" align="left">
							<xsl:value-of select="@text" />
						</td>
					</xsl:for-each>
				</table>
				<br />
				<br />
				
				<xsl:for-each select="//MigrationLogFile">
					<xsl:choose>
						<xsl:when test='LogEntry'>
					<H3>
						<xsl:value-of select="@LogEntry" />
					</H3>
					<!-- Part 2
  -->
					<br />
					<table border="1" cellspacing="0" cellpadding="0" width="100%">
						<tr class="DateTimeColumn">
							<th class="Title">
								<xsl:value-of select="@typeText" />
							</th>
							<th class="Title">
								<xsl:value-of select="@messageText" />
							</th>
							<th class="Title">
								<xsl:value-of select="@sourceText" />
							</th>
							<th class="Title">
								<xsl:value-of select="@dateText" />
							</th>
						</tr>
						<xsl:for-each select="//LogEntry">
							<tr class="DateTimeColumn">
								<td width="10%" align="center" valign="top">
									<img>
										<xsl:attribute name="src">
											<xsl:choose>
												<xsl:when test="@type = 'Error'">Error.gif</xsl:when>
												<xsl:when test="@type = 'Warning'">Warning.gif</xsl:when>
												<xsl:when test="@type = 'Info'">Info.gif</xsl:when>
												<xsl:when test="@type = 'Ok'">Ok.bmp</xsl:when>
											</xsl:choose>
										</xsl:attribute>
									</img>
								</td>
								<td width="40%">
									<xsl:value-of select="@text" />
									<xsl:for-each select="messageBlock/message">
										<xsl:value-of select="../message" />
										<br />
										<xsl:choose>
											<xsl:when test="Source != ''">
												<xsl:value-of select="Source" />
												<br />
											</xsl:when>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="TargetSite != ''">
												<xsl:value-of select="Source" />
												<br />
											</xsl:when>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="StackTrace != ''">
												<xsl:value-of select="Source" />
											</xsl:when>
										</xsl:choose>
										<br />
									</xsl:for-each>
								</td>
								<td width="20%" valign="top">
									<xsl:value-of select="@caller" />
									<xsl:value-of select="Generator" />
								</td>
								<td width="15%" valign="top">
									<xsl:value-of select="@dateTime" />
								</td>
							</tr>
						</xsl:for-each>
					</table>
</xsl:when>
					</xsl:choose>
					<xsl:choose>
						<xsl:when test='StaticData'>
							<br />
							<br />
							<br />
							<br />
							<br />
							<H3 class="RestrictionColumn">
								<xsl:value-of select="@statisticTitle" />
							</H3>
							<br />
							<table border="1" cellspacing="0" cellpadding="0" width="35%">
								<tr class="DateTimeColumn">
									<th class="Title" align="left">
										<xsl:value-of select="@hmiObjectName" />
										<br />
									</th>
									<th class="Title" align="left">
										<xsl:value-of select="@hmiObjectCount" />
									</th>
								</tr>
								<xsl:for-each select="//StaticData">
									<tr class="DateTimeColumn">
										<td width="45%">
											<xsl:value-of select="@ObjectName" />
										</td>
										<td width="55%" valign="top">
											<xsl:value-of select="@Count" />
										</td>
									</tr>
								</xsl:for-each>
							</table>
						</xsl:when>
					</xsl:choose>
				</xsl:for-each>
				<br />
				<br />
				<br />
				<br />				
				<table border="0" width="100%" align="center">
					
						<tr>
							<th></th><th></th>
						</tr>
						<td class="RestrictionColumn" align="right">
							
								<xsl:for-each select="//a">
								
									<xsl:copy use-attribute-sets='a'>
										<xsl:value-of select="@backText" />
									</xsl:copy>
								
								</xsl:for-each>
							
							
						</td>
						<td></td>
						<td class="RestrictionColumn" align="left">
							<xsl:for-each select="//a">
							
									<xsl:copy use-attribute-sets='a'>
										<xsl:value-of select="@nextText" />
									</xsl:copy>
								</xsl:for-each>
							
						</td>
					
				</table>
			</BODY>
		</HTML>
	</xsl:template>
	<xsl:attribute-set name="a">
		<xsl:attribute name='target'>_top</xsl:attribute>
		<xsl:attribute name='class'>navi</xsl:attribute>
		<xsl:attribute name='href'>
			<xsl:value-of select="@ref" />
		</xsl:attribute>
	</xsl:attribute-set>
	<xsl:attribute-set name="a1">
		<xsl:attribute name='target'>_top</xsl:attribute>
		<xsl:attribute name='class'>navi</xsl:attribute>
		<xsl:attribute name='href'>
			<xsl:value-of select="@backRef" />
		</xsl:attribute>
	</xsl:attribute-set>
	<xsl:attribute-set name="a1">
		<xsl:attribute name='target'>_top</xsl:attribute>
		<xsl:attribute name='class'>navi</xsl:attribute>
		<xsl:attribute name='href'>
			<xsl:value-of select="@nextRef" />
		</xsl:attribute>
	</xsl:attribute-set>
</xsl:stylesheet>